regression artful sru upgrade

Bug #1758865 reported by Dimitri John Ledkov on 2018-03-26
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

systemd upgrades are now failing in my build chroots, and I suspect it is related to this change.

Setting up systemd (234-2ubuntu12.3) ...
addgroup: The group `systemd-journal' already exists as a system group. Exiting.
[/usr/lib/tmpfiles.d/tmp.conf:15] Failed to replace specifiers: /tmp/systemd-private-%b-*
[/usr/lib/tmpfiles.d/tmp.conf:16] Failed to replace specifiers: /tmp/systemd-private-%b-*/tmp
[/usr/lib/tmpfiles.d/tmp.conf:17] Failed to replace specifiers: /var/tmp/systemd-private-%b-*
[/usr/lib/tmpfiles.d/tmp.conf:18] Failed to replace specifiers: /var/tmp/systemd-private-%b-*/tmp
ACL operation on "/var/log/journal" failed: No such file or directory
ACL operation on "/var/log/journal" failed: No such file or directory
chmod() of /var/log/journal via /proc/self/fd/3 failed: No such file or directory
dpkg: error processing package systemd (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 systemd
E: Sub-process /usr/bin/dpkg returned an error code (1)

Changed in systemd (Ubuntu Artful):
status: New → In Progress
Changed in systemd (Ubuntu):
status: New → Invalid

Hello Dimitri, or anyone else affected,

Accepted systemd into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/234-2ubuntu12.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in systemd (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-artful
Chaeska (limdul) wrote :
Download full text (4.2 KiB)

Tested package on a Ubuntu 17.10 - Windows Subsystem for Linux installation.

Was getting the error with systemd (234-2ubuntu12.3):

--- begin paste ---

sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  bash
The following packages will be upgraded:
  systemd-sysv
1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
2 not fully installed or removed.
Need to get 0 B/11.6 kB of archives.
After this operation, 1,024 B of additional disk space will be used.
Do you want to continue? [Y/n]
Setting up systemd (234-2ubuntu12.3) ...
addgroup: The group `systemd-journal' already exists as a system group. Exiting.
[/usr/lib/tmpfiles.d/tmp.conf:15] Failed to replace specifiers: /tmp/systemd-private-%b-*
[/usr/lib/tmpfiles.d/tmp.conf:16] Failed to replace specifiers: /tmp/systemd-private-%b-*/tmp
[/usr/lib/tmpfiles.d/tmp.conf:17] Failed to replace specifiers: /var/tmp/systemd-private-%b-*
[/usr/lib/tmpfiles.d/tmp.conf:18] Failed to replace specifiers: /var/tmp/systemd-private-%b-*/tmp
dpkg: error processing package systemd (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 systemd
E: Sub-process /usr/bin/dpkg returned an error code (1)

--- end paste ---

No longer getting the error after installing systemd (234-2ubuntu12.4) including dependencies:

--- begin paste ---

sudo apt-get install systemd/artful-proposed
Reading package lists... Done
Building dependency tree
Reading state information... Done
Selected version '234-2ubuntu12.4' (Ubuntu:17.10/artful-proposed [amd64]) for 'systemd'
Selected version '234-2ubuntu12.4' (Ubuntu:17.10/artful-proposed [amd64]) for 'libsystemd0' because of 'systemd'
The following additional packages will be installed:
  libsystemd0
Suggested packages:
  systemd-container policykit-1
Recommended packages:
  libpam-systemd
The following packages will be REMOVED:
  libpam-systemd policykit-1 ubuntu-standard
The following packages will be upgraded:
  libsystemd0 systemd
2 upgraded, 0 newly installed, 3 to remove and 2 not upgraded.
2 not fully installed or removed.
Need to get 2,990 kB of archives.
After this operation, 856 kB disk space will be freed.
Do you want to continue? [Y/n]
Get:1 http://archive.ubuntu.com/ubuntu artful-proposed/main amd64 systemd amd64 234-2ubuntu12.4 [2,782 kB]
Get:2 http://archive.ubuntu.com/ubuntu artful-proposed/main amd64 libsystemd0 amd64 234-2ubuntu12.4 [209 kB]
Fetched 2,990 kB in 2s (1,407 kB/s)
(Reading database ... 75910 files and directories currently installed.)
Removing ubuntu-standard (1.404.1) ...
Removing policykit-1 (0.105-18) ...
Removing libpam-systemd:amd64 (234-2ubuntu12.3) ...
(Reading database ... 75864 files and directories currently installed.)
Preparing to unpack .../systemd_234-2ubuntu12.4_amd64.deb ...
Unpacking systemd (234-2ubuntu12.4) over (234-2ubuntu12.3) ...
Preparing to unpack .../libsystemd0_234-2ubuntu12.4_amd64.deb ...
Unpacking libsystemd0:amd64 (234-2ubuntu12.4) over (234-2ubuntu12.3) ...
Setting up libsystemd0:amd64 (234-2ubuntu12.4) ......

Read more...

tags: added: verification-done-artful
removed: verification-needed-artful
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers